This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1049076 - Review Request: google-android-emoji-fonts - Android Emoji font released by Google
Review Request: google-android-emoji-fonts - Android Emoji font released by G...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-06 18:30 EST by Peter Oliver
Modified: 2015-02-08 12:03 EST (History)
6 users (show)

See Also:
Fixed In Version: google-android-emoji-fonts-1.01-0.1.20120228git.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-14 11:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Oliver 2014-01-06 18:30:08 EST
Spec URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts.spec
SRPM URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts-20120228-1.fc18.src.rpm
Description: The Android Emoji typeface contains a number of pictographs and smileys, popularly used in instant messages and chat forums.  The style of the typeface is playful.  It is taken from Google's Android Jelly Bean mobile phone operating system.
Fedora Account System Username: mavit
Comment 2 Paul Flo Williams 2014-01-07 03:01:03 EST
As you are packaging a single font from an upstream git repo, in the absence of a versioned archive from upstream, I wonder whether it might be better to go with a package version that directly corresponds to the font version? That way, any updated versions that appear in other repos could be more clearly recognised.

Both the head and name tables of this font say that this is version 1.01.
Comment 3 Parag AN(पराग) 2014-01-07 05:13:55 EST
1) I will suggest to use following release tag
Release Tag for Pre-Release Packages: 0.%{X}.%{alphatag}
and version tag as 1.01

So, package name is google-android-emoji-fonts-1.01-0.1.20120228

2) It took a lot of time to clone the fonts git (approx. 495 MB data) but I see another easy way is to use URL https://android.googlesource.com/platform/frameworks/base.git/+archive/jb-release/data/fonts.tar.gz and extract required files and create new source archive.

3) Remove following files from the source archive as they are not needed
 Android.mk  fallback_fonts-ja.xml  fallback_fonts.xml  fonts.mk  MODULE_LICENSE_APACHE2  NOTICE  system_fonts.xml  vendor_fonts.xml

4) As the getdroid.sh only fetches AndroidEmoji font, name it as getandroidemoji.sh

5) No need of clean section in spec file. Remove following from spec
%clean
rm -fr %{buildroot}
Comment 4 Peter Oliver 2014-01-07 18:05:08 EST
Spec URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts.spec
SRPM URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts-1.01-1.20120228git.fc21.src.rpm

Having consulted https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages, I have changed the package name to google-android-emoji-fonts-1.01-1.20120228git.

The gitdroid.sh script was taken from the google-droid-fonts package.  I have written a new script, get-source-from-git.sh, which fetches the files from https://android.googlesource.com/platform/frameworks/base.git/+archive/jb-release/data/fonts.tar.gz and manipulates them into a source tarball.

Are you sure NOTICE can be omitted?  It contains the licence.

I have removed the %clean section.
Comment 5 Parag AN(पराग) 2014-01-09 04:40:46 EST
1) Please use the recommended way of naming release tags
Pre-Release Packages: 0.%{X}.%{alphatag}

2) I take NOTICE is a duplication of README.txt file. README file clearly says License URL and fonts in that directory licensed under Apache 2 license whereas NOTICE just provides text of license file only. 
   If you want you can package it as I don't see it as a blocker.

Other than these, packaging looks Ok. fontconfig rule not needed as this is pictorial font.
Comment 6 Parag AN(पराग) 2014-01-09 04:47:26 EST
Group tag is not mandatory now so you can remove that also.
Comment 7 Peter Oliver 2014-01-09 08:20:35 EST
Could you explain why that is the appropriate release tag?  As I understand it, this is a "post-release package" rather than a "pre-release package", as described at https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages, but I accept that my understanding may be wrong :-)
Comment 8 Parag AN(पराग) 2014-01-12 22:34:54 EST
I asked this release tag issue on packaging list and got reply to clarify with upstream about what they think. Here is that reply https://lists.fedoraproject.org/pipermail/packaging/2014-January/009919.html
Comment 9 Peter Oliver 2014-01-13 07:48:41 EST
Thanks.

I'm convinced.  Android don't do tarball releases, they just tag the release in git.  What I hadn't considered before was that that's a release of Android as a whole, not a release of this font.  So, if there's never been a release, this must be a prerelease.

Spec URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts.spec
SRPM URL: http://mavit.fedorapeople.org/rpm/google-android-emoji-fonts-1.01-0.1.20120228git.fc21.src.rpm
Comment 10 Parag AN(पराग) 2014-01-14 09:32:17 EST
Looks good.

APPROVED.
Comment 11 Peter Oliver 2014-01-14 09:54:34 EST
New Package SCM Request
=======================
Package Name: google-android-emoji-fonts
Short Description: Android Emoji font released by Google
Owners: mavit
Branches: f19 f20
InitialCC: fonts-sig
Comment 12 Jon Ciesla 2014-01-14 10:22:06 EST
Git done (by process-git-requests).
Comment 13 Peter Oliver 2014-01-14 11:47:56 EST
Thanks, all!
Comment 14 Fedora Update System 2014-01-14 11:50:26 EST
google-android-emoji-fonts-1.01-0.1.20120228git.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/google-android-emoji-fonts-1.01-0.1.20120228git.fc19
Comment 15 Fedora Update System 2014-01-14 11:51:35 EST
google-android-emoji-fonts-1.01-0.1.20120228git.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-android-emoji-fonts-1.01-0.1.20120228git.fc20
Comment 16 Fedora Update System 2014-01-23 06:05:20 EST
google-android-emoji-fonts-1.01-0.1.20120228git.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2014-02-11 18:17:36 EST
google-android-emoji-fonts-1.01-0.1.20120228git.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Bryan Yount 2015-02-06 18:13:57 EST
Is it possible to get this font (or the discussed upstream replacement) included in a default Desktop install of Fedora?
Comment 19 Peter Oliver 2015-02-08 12:03:30 EST
(In reply to Bryan Yount from comment #18)
> Is it possible to get this font (or the discussed upstream replacement)
> included in a default Desktop install of Fedora?

I've asked about this in https://lists.fedoraproject.org/pipermail/desktop/2015-February/011582.html

Note You need to log in before you can comment on or make changes to this bug.